Bug 438661 - Some fixes for ppc kexec-tools are missing in rawhide
Some fixes for ppc kexec-tools are missing in rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
9
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 05:49 EDT by Kazunori Asayama
Modified: 2009-07-15 04:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kazunori Asayama 2008-03-24 05:49:55 EDT
Description of problem:

  The following 3 bug fixes for PPC kexec-tools are not applied to Rawhide:

      #405341 (kexec-tools-1.102pre-ppc-boots-ppc64.patch)
      #436740 (kexec-tools-1.102pre-ppc64-devtree.patch)
      #437305 (patch is attached to the bugzilla entry #437305)

Version-Release number of selected component (if applicable):

      kexec-tools-1.102pre-6.fc9
Comment 1 Neil Horman 2008-03-24 07:47:36 EDT
fixed
Comment 2 Kazunori Asayama 2008-03-25 01:59:35 EDT
(In reply to comment #1)
> fixed

The fix of #437305 is still missing in kexec-tools-1.102pre-7.fc9
Comment 3 Neil Horman 2008-03-25 07:47:33 EDT
%ifarch ppc
%define archdef ARCH=ppc
%endif

No, its there.
Comment 4 Kazunori Asayama 2008-03-25 07:57:48 EDT
(In reply to comment #3)
> %ifarch ppc
> %define archdef ARCH=ppc
> %endif
> 
> No, its there.

It should be "%define archdef ARCH=ppc64".
See F-7/kexec-tools.spec and F-8/kexec-tools.spec.
Comment 5 Neil Horman 2008-03-25 08:32:32 EDT
oops, thanks!  Fixed in -8.fc9
Comment 6 Kazunori Asayama 2008-03-26 03:05:58 EDT
(In reply to comment #5)
> oops, thanks!  Fixed in -8.fc9

It works. Thank you!
Comment 7 Bug Zapper 2008-05-14 02:48:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:50:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-15 04:18:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.